# author Aaron Moser

import datetime
from database_interface import DatabaseInterface
from global_outcome import GlobalOutcome
from load_balancer_impl import LoadBalancer
from simulation import Simulation

def main():
    # Establish connection to db, if not possible, print error
    # If error suggests, that db couldn't be found, prompt user to enter location of db
    # If error suggests, that user / pw were wrong, prompt user to reenter creds
    # Retry to connect to db
    # Create instance of DBInterface class
    db_path = "sqlitedb.db"
    db_interface = DatabaseInterface(db_path)
    global_outcome = GlobalOutcome()

    LoadBalancer(global_outcome, db_interface, Simulation.Mode.DAILY, datetime.datetime(2018,4,1), datetime.datetime(2018,4,2)).run()

if __name__ == "__main__":
    main()